gSOAP HTTP Digest Authentication Stable release

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Defines | Functions | Variables
/Users/engelen/Projects/gsoap/plugin/httpda.h File Reference
`#include "stdsoap2.h"`
`#include "md5evp.h"`
`#include "threads.h"`
Include dependency graph for httpda.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | http_da_data
| Plugin data to override callbacks. More...
struct | http_da_session
| Keeps internal state of shared sessions. More...
struct | http_da_info
| Used to save and restore credentials for client-side multiple invocations to the same authenticated endpoint. More...
## Defines
#define | HTTP_DA_ID "HTTP-DA-1.1"
#define | HTTP_DA_SESSION_TIMEOUT (600)
## Functions
int | http_da (struct soap *soap, struct soap_plugin *p, void *arg)
int | http_da_verify_post (struct soap *soap, char *passwd)
int | http_da_verify_get (struct soap *soap, char *passwd)
void | http_da_save (struct soap *soap, struct http_da_info *info, const char *realm, const char *userid, const char *passwd)
void | http_da_restore (struct soap *soap, struct http_da_info *info)
void | http_da_release (struct soap *soap, struct http_da_info *info)
void | http_da_proxy_save (struct soap *soap, struct http_da_info *info, const char *realm, const char *userid, const char *passwd)
void | http_da_proxy_restore (struct soap *soap, struct http_da_info *info)
void | http_da_proxy_release (struct soap *soap, struct http_da_info *info)
## Variables
const char | http_da_id []

## Define Documentation

#define HTTP_DA_ID "HTTP-DA-1.1"

pluging identification for plugin registry

#define HTTP_DA_SESSION_TIMEOUT (600)

HTTP digest authentication session times out after ten minutes

## Function Documentation

int http_da | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg
| ) |  |

void http_da_proxy_release | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_proxy_restore | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_proxy_save | ( | struct soap * | soap,
|  | struct http_da_info * | info,
|  | const char * | realm,
|  | const char * | userid,
|  | const char * | passwd
| ) |  |

void http_da_release | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_restore | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_save | ( | struct soap * | soap,
|  | struct http_da_info * | info,
|  | const char * | realm,
|  | const char * | userid,
|  | const char * | passwd
| ) |  |

int http_da_verify_get | ( | struct soap * | soap,
|  | char * | passwd
| ) |  |

int http_da_verify_post | ( | struct soap * | soap,
|  | char * | passwd
| ) |  |

## Variable Documentation

const char http_da_id[]

pluging identification for plugin registry